### Hierarchy

- NodesIndicatorIcon

## Index

### Properties

- borderColor
- borderRadius
- borderWidth
- color
- height
- opacity
- pattern
- shape
- source
- svgClassName
- svgStyle
- width

## Properties

### borderColor

borderColor: string

The border color of this indicator icon.

### borderRadius

borderRadius: string

The border radius of this indicator icon. CSS border-radius values accepted. Note that non-% values (including unitless) get interpreted as 'px'.

### borderWidth

borderWidth: number

The border width of this indicator icon.

### color

color: string

The fill color of this indicator icon.

### height

height: number

The height of this indicator icon.

### opacity

opacity: number

The opacity of this indicator icon.

### pattern

pattern: string

The pattern of this indicator icon.

### shape

shape: string

The shape of this indicator icon. Can take the name of a built-in shape or the SVG path commands for a custom shape.

### source

source: string

The URL of an image to display for this indicator icon.

### svgClassName

svgClassName: string

The CSS style class defining the style of this indicator icon.

### svgStyle

svgStyle: object

The CSS style object defining the style of this indicator icon. Only SVG CSS style properties are supported. The default value comes from the CSS and varies based on theme.

### width

width: number

The width of this indicator icon.

Generated using TypeDoc